Create an onboarding session
curl --request POST \
--url https://api.yorlet.com/v1/owners/{id}/onboarding \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"options": {
"require_identity_verification": true
},
"return_url": "<string>",
"send_email": true,
"unit_owner": "<string>"
}
'import requests
url = "https://api.yorlet.com/v1/owners/{id}/onboarding"
payload = {
"options": { "require_identity_verification": True },
"return_url": "<string>",
"send_email": True,
"unit_owner": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
options: {require_identity_verification: true},
return_url: '<string>',
send_email: true,
unit_owner: '<string>'
})
};
fetch('https://api.yorlet.com/v1/owners/{id}/onboarding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/owners/{id}/onboarding",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'options' => [
'require_identity_verification' => true
],
'return_url' => '<string>',
'send_email' => true,
'unit_owner' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/owners/{id}/onboarding"
payload := strings.NewReader("{\n \"options\": {\n \"require_identity_verification\": true\n },\n \"return_url\": \"<string>\",\n \"send_email\": true,\n \"unit_owner\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.yorlet.com/v1/owners/{id}/onboarding")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"options\": {\n \"require_identity_verification\": true\n },\n \"return_url\": \"<string>\",\n \"send_email\": true,\n \"unit_owner\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/owners/{id}/onboarding")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"options\": {\n \"require_identity_verification\": true\n },\n \"return_url\": \"<string>\",\n \"send_email\": true,\n \"unit_owner\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "onboarding_session",
"expires_at": 123,
"options": {
"require_identity_verification": true
},
"owner": "<string>",
"return_url": "<string>",
"type": "unit_owner_onboarding",
"unit": "<string>",
"unit_owner": "<string>",
"account": "<string>",
"deleted": false,
"send_email": false,
"url": "<string>"
}Authorizations
API Key authentication. Use "Bearer YOUR_API_KEY".
Path Parameters
The id identifier.
Body
The type of the onboarding session.
unit_owner_onboarding, owner_onboarding Configuration options that control the onboarding flow.
Show child attributes
Show child attributes
The URL to redirect to after the onboarding flow completes.
Whether to send the onboarding link to the owner via email.
The ID of the unit owner being onboarded, if applicable.
Response
Returns the onboarding session object if the request succeeded.
Unique identifier for the object.
Time at which the object was created. Measured in seconds since the Unix epoch.
onboarding_session The time at which the onboarding session expires.
Configuration options that control the onboarding flow.
Show child attributes
Show child attributes
The owner being onboarded.
The URL to redirect to after the onboarding flow completes.
The type of the onboarding session.
unit_owner_onboarding, owner_onboarding The unit associated with the onboarding session, if any.
The unit owner being onboarded, if applicable.
The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.
Only returned if the object has been deleted.
Whether to send the onboarding link to the owner via email.
The hosted URL of the onboarding session.
Was this page helpful?
curl --request POST \
--url https://api.yorlet.com/v1/owners/{id}/onboarding \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"options": {
"require_identity_verification": true
},
"return_url": "<string>",
"send_email": true,
"unit_owner": "<string>"
}
'import requests
url = "https://api.yorlet.com/v1/owners/{id}/onboarding"
payload = {
"options": { "require_identity_verification": True },
"return_url": "<string>",
"send_email": True,
"unit_owner": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
options: {require_identity_verification: true},
return_url: '<string>',
send_email: true,
unit_owner: '<string>'
})
};
fetch('https://api.yorlet.com/v1/owners/{id}/onboarding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/owners/{id}/onboarding",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'options' => [
'require_identity_verification' => true
],
'return_url' => '<string>',
'send_email' => true,
'unit_owner' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/owners/{id}/onboarding"
payload := strings.NewReader("{\n \"options\": {\n \"require_identity_verification\": true\n },\n \"return_url\": \"<string>\",\n \"send_email\": true,\n \"unit_owner\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.yorlet.com/v1/owners/{id}/onboarding")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"options\": {\n \"require_identity_verification\": true\n },\n \"return_url\": \"<string>\",\n \"send_email\": true,\n \"unit_owner\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/owners/{id}/onboarding")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"options\": {\n \"require_identity_verification\": true\n },\n \"return_url\": \"<string>\",\n \"send_email\": true,\n \"unit_owner\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "onboarding_session",
"expires_at": 123,
"options": {
"require_identity_verification": true
},
"owner": "<string>",
"return_url": "<string>",
"type": "unit_owner_onboarding",
"unit": "<string>",
"unit_owner": "<string>",
"account": "<string>",
"deleted": false,
"send_email": false,
"url": "<string>"
}